FROM centos:6.10

ENV NEW_RELIC_API_KEY new_relic_api_key

COPY ./monitor /monitor

WORKDIR /monitor

RUN cd /monitor/dependencies/setuptools-6.0.1 \
    && python setup.py install \
    && cd /monitor/dependencies/argparse-1.4.0 \
    && python setup.py install \
    && cd /monitor/dependencies/pytz-2021.1 \
    && python setup.py install

# CMD [ "init", "start" ]
